Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoAssemblyName

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>
              com.nativelibs4java.mono.MonoAssemblyName

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>>

Direct Known Subclasses:
  MonoAssemblyName.ByReference, MonoAssemblyName.ByValue

    public class MonoAssemblyName

extends Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>

native declaration : mono\metadata\image.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoAssemblyName.ByReference`
`static class` | `MonoAssemblyName.ByValue`

Field Summary
`short` | `build`
`ByteByReference` | `culture`
`int` | `flags`
`int` | `hash_alg`
`int` | `hash_len`
`ByteByReference` | `hash_value`
`short` | `major`
`short` | `minor`
`ByteByReference` | `name`
`ByteByReference` | `public_key`
`byte[]` | `public_key_token`
`short` | `revision`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoAssemblyName()`

Method Summary
`protected MonoAssemblyName.ByReference` | `newByReference()`
`protected MonoAssemblyName.ByValue` | `newByValue()`
`protected MonoAssemblyName` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### name

    public ByteByReference name

### culture

    public ByteByReference culture

### hash_value

    public ByteByReference hash_value

### public_key

    public ByteByReference public_key

### public_key_token

    public byte[] public_key_token

### hash_alg

    public int hash_alg

### hash_len

    public int hash_len

### flags

    public int flags

### major

    public short major

### minor

    public short minor

### build

    public short build

### revision

    public short revision

Constructor Detail

### MonoAssemblyName

    public MonoAssemblyName()

Method Detail

### newByReference

    protected MonoAssemblyName.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>`

### newByValue

    protected MonoAssemblyName.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>`

### newInstance

    protected MonoAssemblyName newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD